### Virtual Method

# Ide Object remove

#### Declaration

    void
    remove (
      IdeObject* self,
      IdeObject* child
    )

#### Description

Removes `child` from `self`.

If `child` is a borrowed reference, it may be finalized before this function returns.

Available since: | 3.32

#### Parameters

`child` | `IdeObject`
| An `IdeObject`.
| The data is owned by the caller of the function.